Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# BulletRigidBodyNode Class Reference

Inheritance diagram for BulletRigidBodyNode:

List of all members.

## Public Member Functions
| BulletRigidBodyNode (string name)
| BulletRigidBodyNode ()
| applyCentralForce (Vec3 const force)
| applyCentralImpulse (Vec3 const impulse)
| applyForce (Vec3 const force, Point3 const pos)
| applyImpulse (Vec3 const impulse, Point3 const pos)
| applyTorque (Vec3 const torque)
| applyTorqueImpulse (Vec3 const torque)
| clearForces ()
float | getAngularDamping ()
float | getAngularSleepThreshold ()
Vec3 | getAngularVelocity ()
Vec3 | getGravity ()
Vec3 | getInertia ()
| Returns the inertia of the rigid body.
float | getLinearDamping ()
float | getLinearSleepThreshold ()
Vec3 | getLinearVelocity ()
float | getMass ()
| Returns the total mass of a rigid body.
| setAngularDamping (float value)
| setAngularFactor (Vec3 const factor)
| setAngularSleepThreshold (float threshold)
| setAngularVelocity (Vec3 const velocity)
| setGravity (Vec3 const gravity)
| setInertia (VBase3 const inertia)
| Sets the inertia of a rigid body.
| setLinearDamping (float value)
| setLinearFactor (Vec3 const factor)
| setLinearSleepThreshold (float threshold)
| setLinearVelocity (Vec3 const velocity)
| setMass (float mass)
| Sets the mass of a rigid body.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Constructor & Destructor Documentation

BulletRigidBodyNode | ( | string | name | ) |

BulletRigidBodyNode | ( |  | ) |

## Member Function Documentation

applyCentralForce | ( | Vec3 const | force | ) |

applyCentralImpulse | ( | Vec3 const | impulse | ) |

applyForce | ( | Vec3 const | force,
|  | Point3 const | pos
| ) |  |

applyImpulse | ( | Vec3 const | impulse,
|  | Point3 const | pos
| ) |  |

applyTorque | ( | Vec3 const | torque | ) |

applyTorqueImpulse | ( | Vec3 const | torque | ) |

clearForces | ( |  | ) |

float getAngularDamping | ( |  | ) |

float getAngularSleepThreshold | ( |  | ) |

Vec3 getAngularVelocity | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from BulletBodyNode.

Vec3 getGravity | ( |  | ) |

Vec3 getInertia | ( |  | ) |

Returns the inertia of the rigid body.

Inertia is given as a three component vector. A component value of zero means infinite inertia along this direction.

float getLinearDamping | ( |  | ) |

float getLinearSleepThreshold | ( |  | ) |

Vec3 getLinearVelocity | ( |  | ) |

float getMass | ( |  | ) |

Returns the total mass of a rigid body.

A value of zero means that the body is staic, i.e. has an infinite mass.

setAngularDamping | ( | float | value | ) |

setAngularFactor | ( | Vec3 const | factor | ) |

setAngularSleepThreshold | ( | float | threshold | ) |

setAngularVelocity | ( | Vec3 const | velocity | ) |

setGravity | ( | Vec3 const | gravity | ) |

setInertia | ( | VBase3 const | inertia | ) |

Sets the inertia of a rigid body.

Inertia is given as a three-component vector. A component value of zero means infinite inertia along this direction. Setting the intertia will override the value which is automatically calculated from the rigid bodies shape. However, it is possible that automatic calculation of intertia is trigger after calling this method, and thus overwriting the explicitly set value again. This happens when: (a) the mass is set after the inertia. (b) a shape is added or removed from the body. (c) the scale of the body changed.

setLinearDamping | ( | float | value | ) |

setLinearFactor | ( | Vec3 const | factor | ) |

setLinearSleepThreshold | ( | float | threshold | ) |

setLinearVelocity | ( | Vec3 const | velocity | ) |

setMass | ( | float | mass | ) |

Sets the mass of a rigid body.

This also modifies the inertia, which is automatically computed from the shape of the body. Setting a value of zero for mass will make the body static. A value of zero can be considered an infinite mass.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties